function []=NN2()

close all;

inputs=[1:6]';      %input vector
outputs=[1:2]';     %output vector

%Create network
net=network(...
    1, ... %num of Inputs
    2, ... %num of Layers
    [1;0], ... %biasConnect, numLayers-by-1 boolean vector
    [1;0], ... %inputConnect, numLayers-by-numInputs boolan matrix
    [0 0;1 0], ... %layerConnect, numLayers-by-numLayers boolean matrix
    [0 1] ... %outputConnect, 1-by-numLayers boolean vector
    );

view(net);

%number of hidden layer neurons
net.layers{1}.size=5;
%hidden layer transfer function
net.layers{1}.transferFcn='logsig';
view(net);

net=configure(net,inputs,outputs);
view(net);

%initial network response without training
initial_output=net(inputs)

%network training
net.trainFcn='trainlm';
net.performFcn='mse';
net=train(net,inputs,outputs);
%network response after training
final_output=net(inputs)

end

















